!
! Copyright (C) 2014 Orbital-free DFT group at University of Florida
!
! This program is free software; you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation; either version 2 of the License, or
! any later version. See the file LICENSE in the root directory of the
! present distribution, or http://www.gnu.org/copyleft/gpl.txt ,
! or contact developers via e-mail: vkarasev@qtp.ufl.edu , or paper mail:
!
! Quantum Theory Project
! University of Florida
! P.O. Box 118435
! Gainesville, FL 32611
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
!------------------------------------------------------------------------------
!------------------------------------------------------------------------------
!
program test_fxc

   implicit none

   real(8) :: rs(7) =(/1.0d0, 2.0d0, 4.0d0, 6.0d0, 8.0d0, 10.0d0, 40.0d0/)
   real(8) :: tred(8)=(/0.0625d0,0.125d0,0.25d0,0.5d0,1.d0,2.d0,4.d0,8.d0/)
   real(8) :: exc(7),fxc(7),vxc(7)
   real(8) :: ex(7),vx(7)
   real(8) :: ec(7),vc(7)
   integer :: ii,jj,iz


!-----------------------------------------------------------------------
! KSDT XC, reproduce data of Table S1, PRL 112, 076403 (2014) SuppMatt
! spin-unpolarized case, , 
!-----------------------------------------------------------------------
   iz = 0
   write(*,*)
   write(*,*) '# e.) KSDT XC:'
   write(*,*) '# spin-unpolarized case, first half of Table S1'
   write(*,*) '#         rs            t            exc           fxc           vxc'
   do jj=1,8
   do ii=1,7
     call fxc_ksdt_01(fxc(ii),vxc(ii),rs(ii),tred(jj),iz)
     call exc_ksdt_01(exc(ii),rs(ii),tred(jj),iz)
     write(*,'(5f14.4)') rs(ii), tred(jj), exc(ii), fxc(ii), vxc(ii)
   enddo
   write(*,*)'#'
   enddo

!-----------------------------------------------------------------------
! KSDT XC, reproduce data of Table S1, PRL 112, 076403 (2014) SuppMatt
! fully-spin-polarized case, , 
!-----------------------------------------------------------------------
   iz = 1
   write(*,*)
   write(*,*) '# f.) KSDT XC:'
   write(*,*) '# fully-spin-polarized case, second half of Table S1'
   write(*,*) '#         rs            t            exc           fxc           vxc'
   do jj=1,8
   do ii=1,7
     call fxc_ksdt_01(fxc(ii),vxc(ii),rs(ii),tred(jj),iz)
     call exc_ksdt_01(exc(ii),rs(ii),tred(jj),iz)
     write(*,'(5f14.4)') rs(ii), tred(jj), exc(ii), fxc(ii), vxc(ii)
   enddo
   write(*,*)'#'
   enddo
!
end program test_fxc
include 'TLSDAXC.f90'
